using System;
using System.Data;
using System.Collections;

using System.Windows.Forms;
//using bizFacade;
using System.Collections.Specialized;
//using MesWork;
//using SystemFramework;

namespace MesServerWork
{
    public partial class MIS_BASE
    {
        static object lockerFalseGO = new object();


        static public void FalseGO(object e)
        {
            lock (lockerConfirmOkGo)
            {
                try
                {
                    DoWhatPlc.CustomeEvetnArgs msgEvent = (DoWhatPlc.CustomeEvetnArgs)e;
                    string OpName = Convert.ToString(msgEvent.OpName);
                    int tagValue = Convert.ToInt32(msgEvent.TagValue);

                    if (tagValue == 1)
                    {
                        //总合格标志2（不合格）

                        //BaseDataSystemMES.Material_Insert_NG(OpName, 2);

                        Sendmessage("24", "11", OpName);

                        //工作完成
                        MIS_BASE.Write_MaterialVerifyOver(OpName, true);
                    }
                }
                catch (Exception err)
                {
                    ////ApplicationLog.WriteLog(err, "Function02:FalseGO");
                }
            }
               
        }
    }
}
